# Uses of Class
jcifs.smb.SmbFile

Packages that use SmbFile
Package
Description
jcifs.smb

## Uses of SmbFile in jcifs.smb

Subclasses of SmbFile in jcifs.smb
Modifier and Type
Class
Description
`class`
`SmbNamedPipe`
This class will allow a Java program to read and write data to Named Pipes and Transact NamedPipes.
Methods in jcifs.smb that return SmbFile
Modifier and Type
Method
Description
`SmbFile[]`
SmbFile.`listFiles()`
List the contents of this SMB resource as an array of `SmbFile` objects.
`SmbFile[]`
SmbFile.`listFiles(String wildcard)`
The CIFS protocol provides for DOS "wildcards" to be used as a performance enhancement.
`SmbFile[]`
SmbFile.`listFiles(SmbFileFilter filter)`
List the contents of this SMB resource.
`SmbFile[]`
SmbFile.`listFiles(SmbFilenameFilter filter)`
List the contents of this SMB resource.
Methods in jcifs.smb with parameters of type SmbFile
Modifier and Type
Method
Description
`boolean`
DosFileFilter.`accept(SmbFile file)`
`boolean`
SmbFileFilter.`accept(SmbFile file)`
`boolean`
SmbFilenameFilter.`accept(SmbFile dir, String name)`
`void`
SmbFile.`copyTo(SmbFile dest)`
This method will copy the file or directory represented by this `SmbFile` and it's sub-contents to the location specified by the `dest` parameter.
`void`
SmbFile.`renameTo(SmbFile dest)`
Changes the name of the file this `SmbFile` represents to the name designated by the `SmbFile` argument.
Constructors in jcifs.smb with parameters of type SmbFile
Modifier
Constructor
Description
``
`SmbFile(SmbFile context, String name)`
Constructs an SmbFile representing a resource on an SMB network such as a file or directory.
``
`SmbFile(SmbFile context, String name, int shareAccess)`
Constructs an SmbFile representing a resource on an SMB network such as a file or directory.
``
`SmbFileInputStream(SmbFile file)`
Creates an `InputStream` for reading bytes from a file on an SMB server represented by the `SmbFile` parameter.
``
`SmbFileOutputStream(SmbFile file)`
Creates an `OutputStream` for writing bytes to a file on an SMB server represented by the `SmbFile` parameter.
``
`SmbFileOutputStream(SmbFile file, boolean append)`
Creates an `OutputStream` for writing bytes to a file on an SMB server addressed by the `SmbFile` parameter.
``
`SmbRandomAccessFile(SmbFile file, String mode)`